// Written by TeTeT

[] spawn {
	private ["_nimspots", "_bridge", "_cam", "_pos", "_tgt", "_targets"];
	_nimspots = Nimitz getVariable ["nimspots", ObjNull];
	_bridge = Nimitz getVariable ["joe_nauticalbridge", ObjNull];

	_targets = [];

	_tgt = _nimspots modelToWorld (_nimspots selectionPosition "wireCenter");
	_targets pushBack ["Wires", _tgt];

	_tgt = _nimspots modelToWorld (_nimspots selectionPosition "C1");
	_targets pushBack ["Catapult 1 + 2", _tgt];

	_tgt = _nimspots modelToWorld (_nimspots selectionPosition "C3");
	_targets pushBack ["Catapult 3 + 4", _tgt];

	_pos = _nimspots modelToWorld (_nimspots selectionPosition "cameraMast");
	_pos = [_pos select 0, _pos select 1, (_pos select 2) + 3];
	cam = "camera" camCreate _pos;
	cam camSetTarget _tgt;
	cam camCommit 1;
	cam cameraEffect ["internal", "back", "rtt0"];
	"rtt0" setPiPEffect [0];

	_bridge setObjectTextureGlobal [0, "#(argb,256,256,1)r2t(rtt0,1.0)"];

	{
	  	player addAction [_x select 0, {cam camSetTarget (_this select 3); cam camCommit 1;}, _x select 1];
	} forEach _targets;

};
